summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heiko Rosemann2017-09-11 00:57:26 +0200
committer Willy Sudiarto Raharjo2017-09-16 02:15:02 +0200
commit56ae7d9d18159ebc6c0af26851a7501ffa29919d (patch)
tree6cbaa5b24e617e9f7bce76fc524938b2a9b3d816
parent931a597f99e1c6c1f7e106ba33274f7aa40b09b6 (diff)
downloadslackbuilds-56ae7d9d18159ebc6c0af26851a7501ffa29919d.tar.gz
libraries/openjfx: Added (Open Source JavaFX binary distribution).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/openjfx/README10
-rw-r--r--libraries/openjfx/openjfx.SlackBuild81
-rw-r--r--libraries/openjfx/openjfx.info10
-rw-r--r--libraries/openjfx/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/openjfx/README b/libraries/openjfx/README
new file mode 100644
index 0000000000..69d39c04e9
--- /dev/null
+++ b/libraries/openjfx/README
@@ -0,0 +1,10 @@
+OpenJFX is an open source, next generation client application platform for
+desktop and embedded systems based on JavaSE. It is a collaborative effort by
+many individuals and companies with the goal of producing a modern, efficient,
+and fully featured toolkit for developing rich client applications.
+
+This SlackBuild is based on a binary build of OpenJFX provided by Chris
+Newland, https://chriswhocodes.com/
+
+This SlackBuild should be used specifically with OpenJDK, because the
+Oracle JRE and JDK already include JavaFX.
diff --git a/libraries/openjfx/openjfx.SlackBuild b/libraries/openjfx/openjfx.SlackBuild
new file mode 100644
index 0000000000..af2c3f8fc8
--- /dev/null
+++ b/libraries/openjfx/openjfx.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for openjfx
+
+# Copyright 2017 Heiko Rosemann Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openjfx
+VERSION=${VERSION:-8u60}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$PRGNAM-$VERSION-sdk-overlay-linux-amd64.zip"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "ARCH $ARCH is not supported." ; exit 1
+fi
+
+# Check for valid 64bit JRE and $JAVA_HOME setting
+if ! echo $JAVA_HOME | grep 64 ; then
+ echo "No valid JRE installation found in $JAVA_HOME to match ARCH $ARCH or $JAVA_HOME not set properly."; exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/$JAVA_HOME $OUTPUT
+cd $PKG/$JAVA_HOME
+unzip $CWD/$SRCNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+find $PKG/$JAVA_HOME/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/$JAVA_HOME/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/openjfx/openjfx.info b/libraries/openjfx/openjfx.info
new file mode 100644
index 0000000000..476af98108
--- /dev/null
+++ b/libraries/openjfx/openjfx.info
@@ -0,0 +1,10 @@
+PRGNAM="openjfx"
+VERSION="8u60"
+HOMEPAGE="http://openjdk.java.net/projects/openjfx/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://chriswhocodes.com/downloads/openjfx-8u60-sdk-overlay-linux-amd64.zip"
+MD5SUM_x86_64="d79cb1d5aa8794db82bf2ab74ab65a3f"
+REQUIRES="openjdk8"
+MAINTAINER="Heiko Rosemann"
+EMAIL="heiko.rosemann@web.de"
diff --git a/libraries/openjfx/slack-desc b/libraries/openjfx/slack-desc
new file mode 100644
index 0000000000..52b7fd68c1
--- /dev/null
+++ b/libraries/openjfx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openjfx: openjfx (Open Source JavaFX implementation - binary distribution)
+openjfx:
+openjfx: OpenJFX is an open source, next generation client application
+openjfx: platform for desktop and embedded systems based on JavaSE,
+openjfx: implementing the JavaFX framework. It is a collaborative effort with
+openjfx: the goal of producing a fully featured toolkit for developing rich
+openjfx: client applications with OpenJDK.
+openjfx: If you use the Oracle JDK/JRE, they already include JavaFX.
+openjfx:
+openjfx: This SlackBuild is based on a binary build of OpenJFX provided by
+openjfx: Chris Newland, https://chriswhocodes.com